package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.system.qa.SysQaDto;
import com.crm.rely.backend.core.entity.system.qa.SysQaAddEntity;
import com.crm.rely.backend.core.entity.system.qa.SysQaDeleteEntity;
import com.crm.rely.backend.core.entity.system.qa.SysQaSearchPageEntity;
import com.crm.rely.backend.core.entity.system.qa.SysQaUpdateEntity;
import com.crm.rely.backend.exception.ServiceException;

public interface SysQaService {
    SysQaDto searchSingle(Long id) throws ServiceException;

    ResultWithPagerDto<SysQaDto> pageSearchList(SysQaSearchPageEntity entity) throws ServiceException;

    void add(SysQaAddEntity entity) throws ServiceException;

    void update(SysQaUpdateEntity entity) throws ServiceException;

    void delete(SysQaDeleteEntity entity) throws ServiceException;
}
